CREATE FUNCTION [dbo].[GetAllDock] (@DOCKCD varchar(5), @ROUTE varchar(10), @RUNSEQ varchar(5))
RETURNS VARCHAR(MAX) AS
BEGIN
DECLARE @TEXT VARCHAR(MAX)

SELECT @TEXT = COALESCE(@TEXT + ',', '') + CAST(DOCK AS VARCHAR) FROM
(
	SELECT RCVCOMPDOCKCD [DOCK]
	FROM TB_R_DCL_TLMS_ORDER_ASSIGNMENT 
	WHERE RTEGRPCD = @ROUTE 
			AND RUNSEQ = @RUNSEQ 
			AND RCVCOMPDOCKCD = @DOCKCD
	UNION
	SELECT A.LOGICAL_DOCKCD [DOCK]
	FROM TB_M_PHYSICAL_DOCK_MAPPING A
	INNER JOIN TB_R_DCL_TLMS_ORDER_ASSIGNMENT B
		ON B.RCVCOMPDOCKCD = A.LOGICAL_DOCKCD
			AND RTEGRPCD = @ROUTE 
			AND RUNSEQ = @RUNSEQ
	WHERE A.PHYSICAL_DOCKCD = @DOCKCD
) OUTTERDOCKTBL

RETURN @TEXT
END

